package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Oldgidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GftcanStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private String rebkpflg = NULLSTR;
    @Override
    public void reset() {
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
    }

}
